/*******************************************************************************
 * Copyright (c) 2000, 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.bugs.extension;

import org.eclipse.team.bugs.model.IBugProvider;




public abstract class BugProviderFactory {
    
    /**
     * Get the unique id for the bug provider type this factory is associated with.
     *  
     * @return The id.
     */
	public abstract String getId();
	
	/**
	 * The bug systems view can be extended with a bottom pane, for example to 
	 * show detail information about the model displayed in the tree viewer.
	 *
	 * @return An instance of BugViewExtensionPane implementing the pane to be displayed, 
	 * or null if this bug provider type doesn't make this contribution.
	 */
	public abstract BugViewExtension getExtension();
	
	public abstract IBugProvider [] getStoredProviders();
}
