/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.extension;

import org.eclipse.jface.action.IMenuManager;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

/**
 * 
 */
public abstract class BugViewExtension {
    
    /**
     * This method is called to obtain a composite containing the widgets
     * of this extension pane.
     * @param parent The parent composite
     * @return A control with the child widgets of this pane.
     */
    public abstract Control createCustomControl(Composite parent);
    
    /**
     * @param proxy
     */
    public abstract void initialize(IViewerProxy proxy);
    
    public abstract void fillContextMenu(IStructuredSelection selection, IMenuManager menu);

    /**
     * @param selection
     */
    public abstract void updateActionEnablements(IStructuredSelection selection);

    /**
     * 
     */
    public void dispose() {
    }
}
