/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.extension;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.team.bugs.internal.main.BugsPlugin;

/**
 * 
 */
public class BugsException extends CoreException {
    
    private static final long serialVersionUID = 7004378164846193732L;
    
    final public static int GENERAL_ERROR= 0;

    public BugsException(IStatus status) {
        super(status);
    }
    
    public static BugsException asBugsException(Exception e) {
        final IStatus status= new Status(IStatus.ERROR, BugsPlugin.ID, GENERAL_ERROR, "An error occured: " + e.getMessage(), e);
        return new BugsException(status);
    }

}
