/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.extension;

import java.net.URL;

import org.eclipse.core.runtime.Path;
import org.eclipse.core.runtime.Platform;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.team.bugs.internal.main.BugsPlugin;
import org.osgi.framework.Bundle;


/**
 * 
 */
public class BugsImages {
    
    public static final ImageDescriptor REFRESH;
    
	static {
	    REFRESH= getDescriptor(BugsPlugin.ID, "icons/refresh.gif");
	}
	
	protected static ImageDescriptor getDescriptor(String pluginID, String localPath) {
		Bundle bundle = Platform.getBundle(pluginID);
		Path path = new Path(localPath);
		final URL url = Platform.find(bundle, path);
	    return ImageDescriptor.createFromURL(url);
	}
	
	/**
	 * No need for instantiation
	 */
	protected BugsImages() {}
}    


