/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.internal.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.util.Assert;
import org.eclipse.team.bugs.internal.wizards.AddProviderWizard;
import org.eclipse.ui.IWorkbenchSite;

public class AddProviderAction extends Action{
    
    private IWorkbenchSite fSite;
    
    public AddProviderAction(IWorkbenchSite site) {
        super("Bug System...");
        fSite= site;
    }

    public void run() {
        Assert.isNotNull(fSite);
        AddProviderWizard.execute(fSite.getShell());
    }
}
