/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.tools;

import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 
 */
public class Utils {

    public final static List EMPTY_LIST;
    public final static Object [] EMPTY_ARRAY;
    public final static String EMPTY_STRING;
    public final static Map EMPTY_MAP;
    
    static {
        EMPTY_LIST= Collections.unmodifiableList(new ArrayList(0));
        EMPTY_MAP= Collections.unmodifiableMap(new HashMap(0));
        EMPTY_ARRAY= new Object[0];
        EMPTY_STRING= "";
    }
    
    private Utils() {
    }
}
