/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.team.bugs.extension.BugsException;

/**
 * 
 */
public class BugzillaException extends BugsException {

    private static final long serialVersionUID = -2381570281305595169L;
    
    public static final int MULTI_ERROR= 100;
    public static final int IO_ERROR= 101;
    public static final int XML_ERROR= 102;
    public static final int UNEXPECTED_CONDITION= 104;
    public static final int REQUIRES_LOGIN = 105;
    public static final int PERSISTENCE_READ_ERROR = 106;

    public BugzillaException(IStatus status) {
        super(status);
    }
    
    public BugzillaException(int code, String message, Throwable e) {
        super(new Status(IStatus.ERROR, BugzillaPlugin.ID, code, message, e));
    }
    
    public BugzillaException(int code, String message) {
        super(new Status(IStatus.ERROR, BugzillaPlugin.ID, code, message, null));
    }
    
    public BugzillaException(String message, Throwable e) {
        this(BugzillaException.GENERAL_ERROR, message, e);
    }
}
