/*******************************************************************************
 * Copyright (c) 2000, 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.bugzilla;

import org.eclipse.team.bugs.extension.BugProviderFactory;
import org.eclipse.team.bugs.extension.BugViewExtension;
import org.eclipse.team.bugs.model.IBugProvider;
import org.eclipse.team.bugzilla.persistence.PersistenceManager;
import org.eclipse.team.bugzilla.view.BugzillaViewExtension;


public class BugzillaFactory extends BugProviderFactory {

	/**
	 * The bugzilla versions we handle.
	 */
    public static final int VERSION_2_16= 1;

    public static final int VERSION_2_18= 2;

    public static final int VERSION_UNKNOWN= -1;
    
	public String getId() {
		return "org.eclipse.team.bugzilla"; //$NON-NLS-1$
	}
	
	public BugViewExtension getExtension() {
	    return new BugzillaViewExtension();
	}
	
	public IBugProvider [] getStoredProviders() {
	    return PersistenceManager.restoreProviders();
	}
}
