/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.team.bugs.extension.BugsImages;

/**
 * Image descriptors for images in the Bugzilla plugin. 
 */
public class BugzillaImages extends BugsImages {
 
    public static final ImageDescriptor BUGZILLA;
    public static final ImageDescriptor FOLDER;
    public static final ImageDescriptor NEWFOLDER;
    public static final ImageDescriptor ATTACHMENT;
    public static final ImageDescriptor INCOMPLETE_ATTACHMENT;
    public static final ImageDescriptor BUG;
    public static final ImageDescriptor INCOMPLETE_BUG; 
    public static final ImageDescriptor COMMENT;
    public static final ImageDescriptor HISTORY;
    public static final ImageDescriptor QUERY;
    public static final ImageDescriptor DELETE;
    public static final ImageDescriptor ERRORMARKER;
    
    public static final ImageDescriptor PRIORITY_P1;
    public static final ImageDescriptor PRIORITY_P2;
    public static final ImageDescriptor PRIORITY_P3;
    public static final ImageDescriptor PRIORITY_P4;
    public static final ImageDescriptor PRIORITY_P5;



	static {
		BUGZILLA= getDescriptor("icons/bugzilla.gif");
		FOLDER= getDescriptor("icons/folder.gif");
		NEWFOLDER= getDescriptor("icons/createfolder.gif");
		BUG= getDescriptor("icons/bug.gif");
		INCOMPLETE_BUG= getDescriptor("icons/incomplete_bug.gif");
	    ATTACHMENT= getDescriptor("icons/attachment.gif");
	    INCOMPLETE_ATTACHMENT= getDescriptor("icons/incomplete_attachment.gif");
	    COMMENT= getDescriptor("icons/comment.gif");
	    HISTORY= getDescriptor("icons/history.gif");
	    QUERY= getDescriptor("icons/query.gif");
	    DELETE= getDescriptor("icons/delete.gif");
	    ERRORMARKER= getDescriptor("icons/errormarker.gif");
	    
	    PRIORITY_P1= getDescriptor("icons/priority/p1.gif");
	    PRIORITY_P2= getDescriptor("icons/priority/p2.gif");
	    PRIORITY_P3= getDescriptor("icons/priority/p3.gif");
	    PRIORITY_P4= getDescriptor("icons/priority/p4.gif");
	    PRIORITY_P5= getDescriptor("icons/priority/p5.gif");
	}
	
	private static ImageDescriptor getDescriptor(String localPath) {
	    return getDescriptor(BugzillaPlugin.ID, localPath);
	}
}
