package org.eclipse.team.bugzilla.actions;

import org.eclipse.jface.window.Window;
import org.eclipse.team.bugs.extension.IViewerProxy;
import org.eclipse.team.bugzilla.dialogs.AddQueryDialog;
import org.eclipse.team.bugzilla.model.BugzillaModel;
import org.eclipse.team.bugzilla.model.BugzillaProvider;
import org.eclipse.team.bugzilla.model.BugzillaQuery;
import org.eclipse.team.bugzilla.tools.BugzillaSelection;
import org.eclipse.team.bugzilla.tools.IBugzillaSelectionProvider;

public class BugzillaEditAction extends BugzillaAction {

	public BugzillaEditAction(IViewerProxy proxy, IBugzillaSelectionProvider provider) {
        super("Edit...", proxy, provider);
    }
	
	public void setEnablement() {
		BugzillaSelection selection = getSelection();
		if (selection.isEmpty()) {
			setEnabled(false);
		}
		if (selection.getFirstElement() instanceof BugzillaQuery /**/) {/* || 
				selection.getFirstElement() instanceof BugzillaProvider) {*/
			setEnabled(true);
		}
		else {
			setEnabled(false);
		}
	}

	public void run() {
		BugzillaModel selection = getSelection().getOnlyElement();
		if (selection instanceof BugzillaProvider) {
			editProvider((BugzillaProvider)selection);
		}
		else {
			editQuery((BugzillaQuery)selection);
		}
	}
	
	private void editProvider(BugzillaProvider provider) {
		/*TODO: jpound - Edit providers, this will need some work */
//		BugzillaWizardPage p = new BugzillaWizardPage(
//				new BugzillaConfiguration(provider.getName(), provider.getBaseURL()));
//		
//		//p.createControl(this.getShell());
//		AddBugzillaWizard wizard = new AddBugzillaWizard();
//		wizard.addPage(p);
//		wizard.createPageControls(this.getShell());
	}

	private void editQuery(BugzillaQuery query) {
		/* TODO: jpound - pre populate the query dialog with previous options */
		AddQueryDialog dialog = new AddQueryDialog(this.getShell(), 
				query.getBugzillaProvider().getDataCache().getQueryOptions());
		
		if (dialog.open() == Window.OK) {
			query.setQueryUrl(dialog.getQuery());
		}
		
	}
	
}
