/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.actions;

import org.eclipse.team.bugs.extension.IViewerProxy;
import org.eclipse.team.bugzilla.model.BugzillaHistoryFolder;
import org.eclipse.team.bugzilla.model.BugzillaModel;
import org.eclipse.team.bugzilla.tools.IBugzillaSelectionProvider;

/**
 * 
 */
public class ClearHistoryAction extends BugzillaAction {
    
    public ClearHistoryAction(IViewerProxy proxy, IBugzillaSelectionProvider provider) {
        super("Clear History", proxy, provider);
    }
    
    public void run() {
        final BugzillaHistoryFolder history= getSelectedHistory();
        if (history == null)
            return;
        history.removeChildren(history.getChildren());
    }
    
    /**
     * 
     */
    public BugzillaHistoryFolder getSelectedHistory() {
        final BugzillaModel selected= getSelection().getOnlyElement();
        if (!(selected instanceof BugzillaHistoryFolder))
            return null;
        return (BugzillaHistoryFolder)selected;
    }
    
    /**
     * 
     */
    public void setEnablement() {
        setEnabled(getSelectedHistory() != null);
    }
}
