/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.swt.custom.StyledText;
import org.eclipse.swt.dnd.Clipboard;
import org.eclipse.swt.dnd.TextTransfer;
import org.eclipse.swt.dnd.Transfer;
import org.eclipse.team.bugs.extension.IViewerProxy;

/**
 * 
 */
public class TextCopyAction extends Action {
    
    private Clipboard fClipboard;
    private StyledText fStyledText;

    /**
     * 
     */
    public TextCopyAction(IViewerProxy proxy, StyledText styledText) {
        super("Copy");
        fStyledText= styledText;
        fClipboard= proxy.getClipboard();
    }
    
    /* (non-Javadoc)
     * @see org.eclipse.jface.action.Action#run()
     */
    public void run() {
        final String text= fStyledText.getSelectionText();
        fClipboard.setContents(new String [] { text }, new Transfer [] { TextTransfer.getInstance() } );
    }
}
