/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.adapters;

import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.team.bugzilla.browser.IWebContentAdapter;
import org.eclipse.team.bugzilla.model.IBugzillaActionFilter;

/**
 * 
 */
public class BugzillaModelAdapter implements IBugzillaActionFilter {

    public boolean testAttribute(Object target, String name, String value) {
        if (name.equals(BROWSABLE)) {
            if (!(target instanceof IAdaptable))
                return false;
            final IWebContentAdapter adapter= (IWebContentAdapter)((IAdaptable)target).getAdapter(IWebContentAdapter.class);
            return (adapter != null) == Boolean.valueOf(value).booleanValue();
        }
        return false;
     }
}
