/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.datatypes;

import java.util.Collection;
import java.util.HashSet;
import java.util.Set;



/**
 * 
 */
public class AttachmentDescription extends Data {
    
    public static final String ID= "0";
    public static final String DATE= "1";
    public static final String DESCRIPTION= "2";
    public static final String OBSOLETE= "3";
    public static final String BUG_ID= "4";
    public static final String CONTENTTYPE= "5";
    
    private static final Set sKeys;
    
    static {
        sKeys= new HashSet();
        sKeys.add(BUG_ID);
        sKeys.add(ID);
        sKeys.add(DATE);
        sKeys.add(DESCRIPTION);
        sKeys.add(OBSOLETE);
        sKeys.add(CONTENTTYPE);
    }

    protected Collection getKeys() {
        return sKeys;
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    public boolean equals(Object obj) {
        if (obj instanceof AttachmentDescription) {
            return getString(ID).equals(((AttachmentDescription)obj).getString(ID));
        }
        return super.equals(obj);
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    public int hashCode() {
        return getString(ID).hashCode();
    }
    
    public String getID() {
        return getString(ID);
    }
}
