/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.model;

import org.eclipse.team.bugzilla.Util;

/**
 * A folder for grouping bugs or queries
 */
public class BugzillaFolder extends BugzillaContainer {

    private final String fName;

    public BugzillaFolder(BugzillaContainer parent, String name) {
        fName = name;
        if (parent != null)
            parent.addChildren(new BugzillaModel [] { this });
    }

    public String getID() {
        return "F" + Util.asValidPathSegment(getName()); //$NON-NLS-1$
    }

    public String getName() {
        return fName;
    }

    /* (non-Javadoc)
     * @see org.eclipse.team.bugzilla.model.BugzillaContainer#canModifyChildren()
     */
    public boolean canModifyChildren() {
        return true;
    }
}