/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.bugzilla.model;


public class BugzillaHistoryFolder extends BugzillaContainer {
	
    public BugzillaHistoryFolder(BugzillaContainer parent) {
        if (parent != null)
            parent.addChildren(new BugzillaModel [] { this });
    }

    public boolean isReadOnly() {
		return true;
	}

    /* (non-Javadoc)
     * @see org.eclipse.team.bugzilla.model.BugzillaContainer#getName()
     */
    public String getName() {
        return "History";
    }

    /* (non-Javadoc)
     * @see org.eclipse.team.bugzilla.model.BugzillaModel#getId()
     */
    public String getID() {
        return "history"; //$NON-NLS-1$
    }

    /* (non-Javadoc)
     * @see org.eclipse.team.bugzilla.model.BugzillaContainer#canModifyChildren()
     */
    public boolean canModifyChildren() {
        return false;
    }
}
