/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.bugzilla.model;

import org.eclipse.team.bugzilla.BugzillaException;

/**
 * Visitor that only visits reports
 */
public abstract class BugzillaReportVisitor implements IBugzillaModelVisitor {

    /* (non-Javadoc)
     * @see org.eclipse.team.bugzilla.model.IBugzillaModelVisitor#visit(org.eclipse.team.bugzilla.model.BugzillaModel)
     */
    public boolean visit(BugzillaModel element) throws BugzillaException {
        if (element instanceof BugzillaReport) {
            visitReport((BugzillaReport)element);
        }
        return true;
    }

    /**
     * @param report
     */
    protected abstract void visitReport(BugzillaReport report) throws BugzillaException;

}
