/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.persistence;

import org.eclipse.team.bugzilla.BugzillaException;
import org.eclipse.team.bugzilla.model.BugzillaContainer;
import org.eclipse.team.bugzilla.model.BugzillaFolder;
import org.eclipse.team.bugzilla.model.BugzillaModel;
import org.osgi.service.prefs.Preferences;

public  class FolderPersistenceAdapter extends ContainerPersistenceAdapter {

    protected final BugzillaModel restore(BugzillaContainer parent, Preferences node, String id, String name) throws BugzillaException {
        if (EMPTY_STRING.equals(name))
            throw new BugzillaException(BugzillaException.PERSISTENCE_READ_ERROR, "Name of folder is emtpy");
        final BugzillaFolder folder= new BugzillaFolder(parent, name);
        return folder;
    }

    /**
     * Return the type used to identify the folder when persisted.
     * @return the type used to identify the folder when persisted
     */
    protected String getType() {
        return PersistenceManager.FOLDER;
    }

}