/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.bugzilla.persistence;

import org.eclipse.team.bugzilla.BugzillaException;
import org.eclipse.team.bugzilla.model.BugzillaContainer;
import org.eclipse.team.bugzilla.model.BugzillaHistoryFolder;
import org.eclipse.team.bugzilla.model.BugzillaModel;
import org.osgi.service.prefs.Preferences;


public class HistoryPersistenceAdapter extends AbstractPersistenceAdapter {  

    protected String getType() {
    	return PersistenceManager.HISTORY;
    }

    /* (non-Javadoc)
     * @see org.eclipse.team.bugzilla.persistence.AbstractPersistenceAdapter#restore(org.eclipse.team.bugzilla.model.BugzillaModel, org.osgi.service.prefs.Preferences)
     */
    protected BugzillaModel restore(BugzillaContainer parent, Preferences node, String id) throws BugzillaException {
         if (EMPTY_STRING.equals(id))
            throw new BugzillaException(BugzillaException.PERSISTENCE_READ_ERROR, "Name of folder is emtpy");
        return new BugzillaHistoryFolder(parent);
    }
}
