/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.wizards;

import org.eclipse.jface.wizard.Wizard;
import org.eclipse.team.bugs.extension.Providers;
import org.eclipse.team.bugzilla.BugzillaFactory;
import org.eclipse.team.bugzilla.model.BugzillaHistoryFolder;
import org.eclipse.team.bugzilla.model.BugzillaProvider;

/**
 * 
 */
public class AddBugzillaWizard extends Wizard {
    
    private BugzillaWizardPage fPage;
    
    public boolean canFinish() {
        return fPage.isPageComplete();
    }
    
    public boolean performFinish() {
        if (!fPage.isPageComplete())
            return false;
        final BugzillaProvider provider= new BugzillaProvider(null, fPage.getConfiguration());
        // TODO: This should not be here! Perhaps it should be lazily created when needed
        new BugzillaHistoryFolder(provider);
        Providers.getInstance().addProvider(provider, new BugzillaFactory());
        return true;
    }
    
    public void addPages() {
        fPage= new BugzillaWizardPage();
        addPage(fPage);
    }
}
