/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.xml;

/**
 * XML tokens for bugzilla bug descriptions.
 */
public interface Tokens {
    
	public final static int UNKOWN_TOKEN = -1;
    /**
     * XML elements: 
     */
    public final static int BUGZILLA= 1;
    public final static int BUG= 2;
    public final static int BUG_ID= 3;
    public final static int BUG_STATUS= 4;
    public final static int PRODUCT= 5;
    public final static int PRIORITY= 6;
    public final static int VERSION= 7;
    public final static int REP_PLATFORM= 8;
    public final static int ASSIGNED_TO= 9;
    public final static int DELTA_TS= 10;
    public final static int COMPONENT= 11;
    public final static int REPORTER= 12;
    public final static int TARGET_MILESTONE= 13;
    public final static int BUG_SEVERITY= 14;
    public final static int CREATION_TS= 15;
    public final static int QA_CONTACT= 16;
    public final static int OP_SYS= 17;
    public final static int RESOLUTION= 18;
    public final static int BUG_FILE_LOC= 19;
    public final static int SHORT_DESC= 20;
    public final static int KEYWORDS= 21;
    public final static int STATUS_WHITEBOARD= 22;
    public final static int DEPENDSON= 23;
    public final static int BLOCKS= 24;
    public final static int CC= 25;
    public final static int LONG_DESC= 26;
    public final static int ATTACHMENT= 27;
    public final static int WHO= 28;
    public final static int BUG_WHEN= 29;
    public final static int THETEXT= 30;
    public final static int ATTACHID= 31;
    public final static int DATE= 32;
    public final static int DESC= 33;
    public final static int TYPE= 34;
    public final static int DATA= 35;
    public final static int CTYPE= 36;
    
    /**
     * XML attributes:
     */
    public final static int ERROR= 100;
    public final static int URLBASE= 101;
    public final static int MAINTAINER= 102;
    public final static int EXPORTER= 103;
    
    /**
     * XML values:
     */
    public final static int VALUE_NOTFOUND= 200;
    public final static int VALUE_NOTPERMITTED= 201;
    public final static int VALUE_INVALIDBUGID= 202;

}
